Subject: Re: Apparent kernel bug with GDB on ppc405

From: Matt Mackall <[email-masked]>
Date: Fri, 26 Oct 2007 09:41:34 -0500

On Fri, Oct 26, 2007 at 01:23:25PM +1000, Benjamin Herrenschmidt wrote:
> 
> > This is actually 405.  Does that have the same issue?
> 
> hrm... I don't remember :-) There -is- something fishy about the icache
> on 405 but I don't remember for sure. Try sticking an iccci in there and
> tell us if that helps.

I did. I stuck an iccci -and- a dccci loop in. I threw in the tlbia
when I ran out of other ideas. And the tlbia + existing
flush_icache_range appears to be sufficient (tested on a non-trivial
app).

According to my docs, the 405fx's icache is virtually
indexed/physically mapped, while the dcache is phys/phys.

-- 
Mathematics is the supreme nostalgia of our time.